SQLITE3_CONTEXT_DB_HANDLE(3) | Library Functions Manual | SQLITE3_CONTEXT_DB_HANDLE(3)

# NAME

`sqlite3_context_db_handle` — database connection for functions

# SYNOPSIS

`#include <sqlite3.h>`

sqlite3 *
`sqlite3_context_db_handle`(sqlite3_context*);

# DESCRIPTION

The sqlite3_context_db_handle() interface returns a copy of the pointer to the database connection (the 1st parameter) of the `sqlite3_create_function`() and `sqlite3_create_function16`() routines that originally registered the application defined function.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 5891.

    SQLITE_API sqlite3 *sqlite3_context_db_handle(sqlite3_context*);

# SEE ALSO

sqlite3(3), sqlite3_create_function(3)

January 24, 2024 | NetBSD 11.0